Line Object Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Line Object Functions
Evas » Specific Object Functions

Functions used to deal with evas line objects. More...

## Functions
EVAS_API void | evas_object_line_xy_set (Evas_Line *obj, int x1, int y1, int x2, int y2)
| Sets the coordinates of the end points of the given evas line object.
EVAS_API void | evas_object_line_xy_get (const Evas_Line *obj, int *x1, int *y1, int *x2, int *y2)
| Retrieves the coordinates of the end points of the given evas line object.
EVAS_API Evas_Object * | evas_object_line_add (Evas *e)
| Adds a new evas line object to the given evas.

## Detailed Description

Functions used to deal with evas line objects.

Warning
  We don't guarantee any proper results if you create a Line object without setting the evas engine.

## Function Documentation

## ◆ evas_object_line_xy_set()

EVAS_API void evas_object_line_xy_set | ( | Evas_Line * | obj,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  |

Sets the coordinates of the end points of the given evas line object.

Parameters

  [in] | obj | The object.
  [in] | x1 | The X coordinate of the first point.
  [in] | y1 | The Y coordinate of the first point.
  [in] | x2 | The X coordinate of the second point.
  [in] | y2 | The Y coordinate of the second point.

Since
  1.8

## ◆ evas_object_line_xy_get()

EVAS_API void evas_object_line_xy_get | ( | const Evas_Line * | obj,
|  | int * | x1,
|  | int * | y1,
|  | int * | x2,
|  | int * | y2
| ) |  |

Retrieves the coordinates of the end points of the given evas line object.

Parameters

  [in] | obj | The object.
  [out] | x1 | The X coordinate of the first point.
  [out] | y1 | The Y coordinate of the first point.
  [out] | x2 | The X coordinate of the second point.
  [out] | y2 | The Y coordinate of the second point.

## ◆ evas_object_line_add()

EVAS_API Evas_Object * evas_object_line_add | ( | Evas * | e | ) |

Adds a new evas line object to the given evas.

Parameters

  e | The given evas.

Returns
  The new evas line object.

References EINA_SAFETY_ON_FALSE_RETURN_VAL, and EVAS_CANVAS_CLASS.